### Name: qbExample
### Title: MCMC sample for fake BC example
### Aliases: qbExample
### Keywords: datasets

### ** Examples

data(qbExample)
summary(qbExample)

## Not run: 
##D ## Fake BC Example.
##D set.seed(1234)
##D cross <- qb.sim.cross(len = rep(60,3), n.mar = 7, eq.spacing =FALSE,
##D        n.ind = 100, type = "bc", ordinal = c(0.3,0.3,0.2,0.2),
##D        missing.geno = 0.03, missing.pheno = 0.03,
##D        qtl.pos = rbind(qtl.1=c(chr=1,pos=15),qtl.2=c(1,45),qtl.3=c(2,12),qtl.4=c(3,15)),
##D        qtl.main = rbind(main.1=c(qtl=1,add=1.5),main.2=c(2,0),
##D          main3=c(3,-1),main4=c(4,0)),
##D        qtl.epis = rbind(epis1=c(qtl.a=2,qtl.b=3,aa=-2),
##D          epis2=c(2,4,3)),
##D        covariate = c(fix.cov=0.5,ran.cov=0.07),
##D        gbye = rbind(GxE.1=c(qtl=3,add=2)))
##D summary(cross$qtl)
##D cross <- qb.genoprob(cross, step=2)
##D qbExample <- qb.mcmc(cross, pheno.col = 3, rancov = 2, fixcov = 1,
##D                      chr.nqtl = rep(3,nchr(cross)), intcov = 1, seed = 1216,
##D                      interval = rep(10,3), n.iter = 1000, n.thin = 20)
##D 
##D save("qbExample", file = "qbExample.RData")
## End(Not run)



